%define upstream_name    Feature-Compat-Try
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make C<try/catch> syntax available
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Feature/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Syntax::Keyword::Try) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is written in preparation for when perl will gain true native
syntax support for 'try/catch' control flow.

Perl added such syntax in the development version 5.33.7, which is enabled
by

   use feature 'try';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-2.mga9
+ Revision: 1816553
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.50.0-1.mga9
+ Revision: 1788351
- update to 0.05

* Mon Mar 29 2021 tv <tv> 0.40.0-1.mga9
+ Revision: 1711646
- imported package perl-Feature-Compat-Try


* Mon Mar 29 2021 Thierry Vignaud <tv@mageia.org> 0.40.0-1.mga9
- initial mageia release, generated with cpan2dist
